Subject: Re: bug#65750: 12.2; LaTeX-mark-section and LaTeX-section-list

From: Tassilo Horn <[email-masked]>
Date: Thu, 07 Sep 2023 11:34:56 +0200

Ikumi Keita <[email-masked]> writes:

> To developers:
> `LaTeX-common-initialization' sets up some variables including
> `outline-regexp' and `outline-heading-alist' before `run-mode-hooks',
> which is responsible for parsing and applying the file local variables.
> Shouldn't we move such set-up codes after `run-mode-hooks'? (And if so,
> similar argument applies for other AUCTeX major modes as well.)

That sounds reasonable in the current case.  OTOH, it could be that
users set things like outline-regexp in those mode-hooks which would
then be overridden by our set-up code if that ran after the hooks...

Bye,
Tassilo